(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8842,        315]
NotebookOptionsPosition[      7812,        281]
NotebookOutlinePosition[      8177,        297]
CellTagsIndexPosition[      8134,        294]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "  ",
 StyleBox["Matrizen - Zusammenh\[ADoubleDot]nge kompakt darstellen",
  FontSize->24]
}], "Title",
 CellChangeTimes->{{3.435461113609375*^9, 3.4354611145*^9}, {
  3.5110634481875*^9, 3.511063457515625*^9}, {3.511064238125*^9, 
  3.511064249515625*^9}}],

Cell[TextData[{
 "\nWir verdeutlichen das Vorgehen mit 2 x 2 - Matrizen.\nEine  2 x 2 - \
Matrix  hat die allgemeine Struktur:   ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {
       SubscriptBox["a", "11"], 
       SubscriptBox["a", "12"]},
      {
       SubscriptBox["a", "21"], 
       SubscriptBox["a", "22"]}
     }], ")"}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.43546039125*^9, 3.4354603949375*^9}, {
  3.511063510796875*^9, 3.51106359509375*^9}, {3.511063880890625*^9, 
  3.51106389025*^9}},
 FontSize->18],

Cell[TextData[{
 "Jede Zeile der Matrix kann als Vektor aufgefasst werden; \neine Matrix mit \
zwei Zeilen ist daher eine ",
 StyleBox["LISTE",
  FontColor->RGBColor[1, 0, 0]],
 ", die zwei Vektoren enth\[ADoubleDot]lt.  \nJeder ",
 StyleBox["Vektor",
  FontColor->GrayLevel[0]],
 " wiederum ist selber eine ",
 StyleBox["Liste",
  FontColor->RGBColor[1, 0, 1]],
 ". \n\n"
}], "Text",
 CellChangeTimes->{{3.51152232884375*^9, 3.51152232975*^9}, {
  3.51152237434375*^9, 3.511522378015625*^9}},
 FontSize->18],

Cell[BoxData[
 RowBox[{"matrix2x2Allgem", " ", "=", " ", 
  RowBox[{
   StyleBox["{",
    FontSize->14,
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    RowBox[{
     StyleBox["{",
      FontColor->RGBColor[1, 0, 1]], 
     StyleBox[
      RowBox[{"a11", ",", "a12"}],
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox["}",
      FontColor->RGBColor[1, 0, 1]]}], 
    StyleBox[",",
     FontColor->RGBColor[0, 0, 1]], 
    RowBox[{
     StyleBox["{",
      FontColor->RGBColor[1, 0, 1]], 
     StyleBox[
      RowBox[{"a21", ",", "a22"}],
      FontColor->RGBColor[0, 0, 1]], 
     StyleBox["}",
      FontColor->RGBColor[1, 0, 1]]}]}], 
   StyleBox["}",
    FontSize->14,
    FontColor->RGBColor[1, 0, 0]]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"matrix2x2Speziell", " ", "=", " ", 
   RowBox[{
    StyleBox["{",
     FontColor->RGBColor[1, 0, 0]], "  ", 
    RowBox[{
     RowBox[{
      StyleBox["{",
       FontColor->RGBColor[1, 0, 1]], 
      StyleBox[
       RowBox[{"1", ",", "7"}],
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox["}",
       FontColor->RGBColor[1, 0, 1]]}], ",", 
     RowBox[{
      StyleBox["{",
       FontColor->RGBColor[1, 0, 1]], 
      StyleBox[
       RowBox[{"5", ",", " ", "3"}],
       FontColor->RGBColor[0, 0, 1]], 
      StyleBox["}",
       FontColor->RGBColor[1, 0, 1]]}]}], "  ", 
    StyleBox["}",
     FontColor->RGBColor[1, 0, 0]]}]}]}]], "Input"],

Cell[TextData[{
 "\n",
 StyleBox["Der Befehl ",
  FontSize->18],
 StyleBox["MatrixForm",
  FontSize->18,
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" bringt den output in die uns vertraute Form.",
  FontSize->18]
}], "Text"],

Cell[BoxData[
 RowBox[{
  StyleBox["MatrixForm",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox["[",
   FontColor->GrayLevel[0]], 
  StyleBox["matrix2x2Speziell",
   FontColor->GrayLevel[0]], 
  StyleBox["]",
   FontColor->GrayLevel[0]]}]], "Input"],

Cell[TextData[{
 "\n",
 StyleBox["Achtung",
  FontSize->18,
  FontColor->RGBColor[1, 0, 1]],
 StyleBox[" : mit Objekten in MatrixForm kann Mathematica NICHT rechnen ",
  FontSize->18],
 "\n",
 "Der Befehl in der ",
 StyleBox["Postfix-Notation",
  FontColor->RGBColor[1, 0, 0]],
 ":"
}], "Text",
 CellChangeTimes->{{3.51090337721875*^9, 3.510903379515625*^9}, {
   3.511063786703125*^9, 3.51106380178125*^9}, 3.51106428846875*^9},
 FontSize->16],

Cell[BoxData[
 RowBox[{
  RowBox[{"matrix2x2Speziell", 
   StyleBox["//",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["MatrixForm",
    FontColor->RGBColor[1, 0, 0]]}], 
  StyleBox["\[IndentingNewLine]",
   FontColor->RGBColor[1, 0, 1]]}]], "Input"],

Cell[TextData[{
 StyleBox["Elemente",
  FontSize->18,
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" werden wie bei einer normalen Liste extrahiert:",
  FontSize->18]
}], "Text",
 CellChangeTimes->{{3.510903026875*^9, 3.51090303203125*^9}, {
  3.511063634828125*^9, 3.5110636845625*^9}, {3.51106386540625*^9, 
  3.51106386796875*^9}},
 FontSize->16],

Cell[BoxData[
 RowBox[{"matrix2x2Allgem", " ", 
  StyleBox["[",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox[
   RowBox[{"[", "1", "]"}],
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox["]",
   FontColor->RGBColor[1, 0, 0]]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"das", " ", "erste", " ", "Element", " ", "der", " ", "Matrix"}],
      "-", 
     RowBox[{
     "Liste", " ", "ist", " ", "die", " ", "ganze", " ", "erste", " ", 
      "Zeile"}]}], ";", " ", "\[IndentingNewLine]", "   ", 
    RowBox[{
     RowBox[{"das", " ", "Matrixelement", " ", 
      SubscriptBox["a", "11"], "  ", "ist", " ", "das", " ", "erste", " ", 
      "Element", " ", "dieser", " ", "Zeilen"}], "-", "Liste"}], ";", " ", 
    RowBox[{"man", " ", "erh\[ADoubleDot]lt", " ", "es", " ", 
     RowBox[{"so", ":"}]}]}], " ", "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.41439016753125*^9, 3.414390171453125*^9}, {
  3.51106431621875*^9, 3.511064318203125*^9}}],

Cell[BoxData[
 RowBox[{"matrix2x2Allgem", " ", 
  StyleBox["[",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox[
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}],
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox["]",
   FontColor->RGBColor[1, 0, 0]]}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"oder", " ", 
   RowBox[{"so", ":"}]}], "  ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"matrix2x2Allgem", " ", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.511064334109375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"matrix2x2Allgem", " ", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "1"}], "]"}], "]"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"das", " ", "Matrixelement", "  ", 
    SubscriptBox["a", "21"]}], "  ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5110636966875*^9, 3.511063697046875*^9}}],

Cell["\<\




 Wenn die Elemente der Matrix einem Bildungsgesetz gehorchen, kann man die \
Matrix auch \[UDoubleDot]ber Table  
 erzeugen. Zur Erinnerung: der zweite Index   j   l\[ADoubleDot]uft schneller.
     \
\>", "Subsubtitle",
 CellChangeTimes->{{3.51106372659375*^9, 3.511063727109375*^9}, {
  3.51106391709375*^9, 3.511064020140625*^9}, {3.511522505765625*^9, 
  3.511522506921875*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"Bspl", "."}], ":"}], "*)"}]], "Input",
 CellChangeTimes->{{3.5110639765625*^9, 3.5110639818125*^9}}],

Cell[BoxData[
 RowBox[{"matrix", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"i", "+", "j"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    StyleBox[
     RowBox[{"{", 
      RowBox[{"j", ",", "0", ",", "4"}], "}"}],
     FontColor->GrayLevel[0]]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"matrix", "//", "MatrixForm"}]], "Input"]
},
CellGrouping->Manual,
WindowSize->{1272, 876},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 274, 7, 123, "Title"],
Cell[834, 29, 545, 17, 155, "Text"],
Cell[1382, 48, 508, 15, 194, "Text"],
Cell[1893, 65, 726, 27, 43, "Input"],
Cell[2622, 94, 709, 24, 71, "Input"],
Cell[3334, 120, 224, 9, 77, "Text"],
Cell[3561, 131, 248, 9, 43, "Input"],
Cell[3812, 142, 444, 15, 115, "Text"],
Cell[4259, 159, 253, 8, 71, "Input"],
Cell[4515, 169, 347, 10, 52, "Text"],
Cell[4865, 181, 235, 8, 43, "Input"],
Cell[5103, 191, 823, 18, 152, "Input"],
Cell[5929, 211, 260, 9, 43, "Input"],
Cell[6192, 222, 108, 3, 43, "Input"],
Cell[6303, 227, 148, 4, 43, "Input"],
Cell[6454, 233, 87, 1, 71, "Input"],
Cell[6544, 236, 321, 8, 43, "Input"],
Cell[6868, 246, 395, 12, 213, "Subsubtitle"],
Cell[7266, 260, 158, 4, 43, "Input"],
Cell[7427, 266, 314, 10, 43, "Input"],
Cell[7744, 278, 64, 1, 43, "Input"]
}
]
*)

(* End of internal cache information *)
