(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13542,        436]
NotebookOptionsPosition[     12056,        390]
NotebookOutlinePosition[     12442,        407]
CellTagsIndexPosition[     12399,        404]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 StyleBox["Das L\[ODoubleDot]sen  von linearen Gleichungssystemen mit Hilfe \
von Matrizen",
  FontSize->24,
  FontWeight->"Bold"],
 "\n\n"
}], "Subtitle",
 FontSize->18],

Cell[TextData[{
 "Statt die Befehle    Solve  bzw.    NSolve   zu benutzen,  soll die L\
\[ODoubleDot]sung \[UDoubleDot]ber die Koeffizientenmatrix und ihre Inverse \
erfolgen.\n\nDazu wird das lineare Gleichungssystem in die kompakte Form    A \
",
 Cell[BoxData[
  FormBox[
   OverscriptBox["x", "\[Rule]"], TraditionalForm]]],
 "  =  ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["c", "\[Rule]"], TraditionalForm]]],
 "  \[UDoubleDot]berf\[UDoubleDot]hrt  ,  A  ist die Koeffizientenmatrix ,  ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["x", "\[Rule]"], TraditionalForm]]],
 "  ist der Vektor der gesuchten Variablen,   ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["c", "\[Rule]"], TraditionalForm]]],
 "  ist der Vektor der rechten Seite (die Inhomogenit\[ADoubleDot]t) . \n\n\
Bei quadratischen Gleichungssystemen kann man die L\[ODoubleDot]sung mit \
Hilfe der zu  A  inversen Matrix erhalten.\nWenn die inverse Matrix A",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    OverscriptBox["", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " existiert, gilt:   ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["x", "\[Rule]"], TraditionalForm]]],
 " = A",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    OverscriptBox["", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    OverscriptBox[
     RowBox[{" ", "c"}], 
     RowBox[{" ", "\[Rule]"}]]}], TraditionalForm]]],
 ".   \nA",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    OverscriptBox["", 
     RowBox[{"-", "1"}]]}], TraditionalForm]]],
 " existiert, wenn die Determinante von A nicht Null ist. \n\n",
 StyleBox["Alle Produkte sind solche zwischen Matrix und Vektor  bzw. \
zwischen Matrizen (der Vektor kann auch als Matrix aufgefasst werden). Sie \
werden in ",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox["Mathematica",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" mit einem speziellen Multiplikationszeichen, n\[ADoubleDot]mlich \
dem Punkt  ",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[".",
  FontWeight->"Bold",
  FontColor->GrayLevel[0]],
 StyleBox["  , geschrieben",
  FontColor->RGBColor[1, 0, 0]],
 ".\n\n\n\nBspl.:\n"
}], "Text",
 CellChangeTimes->{{3.511064888078125*^9, 3.5110648955*^9}, {
  3.51106497178125*^9, 3.5110649776875*^9}, {3.511522940734375*^9, 
  3.511523012328125*^9}, {3.511523042703125*^9, 3.511523057296875*^9}},
 FontSize->18],

Cell[BoxData[
 RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"die", " ", "Einzelgleichungen"}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"gl1", " ", "=", " ", 
     RowBox[{
      RowBox[{"x", " ", "+", " ", "y"}], " ", "\[Equal]", " ", "1"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gl2", " ", "=", " ", 
     RowBox[{
      RowBox[{"x", " ", "-", " ", "y"}], " ", "\[Equal]", " ", "2"}]}], 
    ";"}]}]}]], "Input"],

Cell[BoxData["\[IndentingNewLine]"], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"das", " ", "System"}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"gls", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"gl1", ",", " ", "gl2"}], "}"}]}]], "Input"],

Cell[BoxData["\[IndentingNewLine]"], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"die", " ", "gesuchten", " ", "Variablen"}], ",", " ", 
   RowBox[{"zusammengefasst", " ", "in", " ", "einem", " ", 
    RowBox[{"Vektor", " ", ":"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.511522838671875*^9, 3.511522840859375*^9}}],

Cell[BoxData[
 RowBox[{"var", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"x", ",", "y"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"NEU", " ", "ab", " ", "Version", " ", "7"}], ";", " ", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     StyleBox[
      RowBox[{" ", 
       StyleBox[" ",
        FontSize->16]}]], 
     StyleBox[
      RowBox[{
      "man", " ", "kann", " ", "mit", " ", "Hilfe", " ", "von", " ", 
       "Mathematica", " ", "die", " ", 
       StyleBox["Koeffizientenmatrix",
        FontColor->RGBColor[0, 1, 0]], " ", "A", "\[IndentingNewLine]", " ", 
       "und", " ", "den", " ", 
       StyleBox["Vektor",
        FontColor->RGBColor[0, 1, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 1, 1]], 
       StyleBox["der",
        FontColor->RGBColor[0, 1, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 1, 1]], 
       StyleBox["rechten",
        FontColor->RGBColor[0, 1, 1]], 
       StyleBox[" ",
        FontColor->RGBColor[0, 1, 1]], 
       StyleBox["Seite",
        FontColor->RGBColor[0, 1, 1]], " ", 
       RowBox[{"(", 
        RowBox[{"die", " ", "Inhomogenit\[ADoubleDot]t", 
         StyleBox[
          RowBox[{" ", " "}]], "c"}], 
        StyleBox[
         RowBox[{" ", " "}]], ")"}], " ", "\[IndentingNewLine]", " ", 
       "direkt", " ", "aus", " ", "dem", " ", "Gleichungssystem", " ", 
       RowBox[{
       "bekommen", ".", "\[IndentingNewLine]", " ", "\[IndentingNewLine]", 
        "Da"}], " ", "Mathematica", " ", "die", " ", "Gleichungen", " ", 
       "dahingehend", " ", "umformt"}],
      FontSize->16]}], 
    StyleBox[",",
     FontSize->16], 
    StyleBox["\[IndentingNewLine]",
     FontSize->16], 
    StyleBox["  ",
     FontSize->16], 
    StyleBox[
     RowBox[{"dass", " ", "alle", " ", "Terme", " ", "LINKS", " ", "stehen"}],
     FontSize->16], 
    StyleBox[",",
     FontSize->16], 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox[
      RowBox[{"liefert", " ", "der", " ", "Befehl"}],
      FontSize->16], 
     StyleBox["  ",
      FontSize->16], 
     StyleBox["-",
      FontSize->16], 
     RowBox[{
      StyleBox[
       RowBox[{"c", " ", "!"}],
       FontSize->16], 
      StyleBox["\[IndentingNewLine]",
       FontSize->16], 
      StyleBox["  ",
       FontSize->16], "\[IndentingNewLine]", " ", 
      RowBox[{"s", ".", " ", "Hilfe"}], " ", "f\[UDoubleDot]r", " ", 
      RowBox[{"CoefficientArrays", " ", "/", " ", "More"}], " ", 
      "Information"}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.467277098203125*^9, 3.467277103265625*^9}, {
  3.51106501234375*^9, 3.511065016515625*^9}, {3.511065258828125*^9, 
  3.511065286640625*^9}, {3.511522624875*^9, 3.511522694515625*^9}, {
  3.511522783703125*^9, 3.5115228054375*^9}, {3.5115231238125*^9, 
  3.511523133703125*^9}, {3.511523356578125*^9, 3.511523406046875*^9}, {
  3.511523461171875*^9, 3.51152351565625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    StyleBox["minusc",
     FontSize->16,
     FontColor->RGBColor[0, 1, 1]], ",", 
    StyleBox["A",
     FontSize->16,
     FontColor->RGBColor[0, 1, 0]]}], "}"}], "=", 
  RowBox[{"Normal", "[", 
   RowBox[{
    StyleBox["CoefficientArrays",
     FontColor->RGBColor[1, 0, 0]], "[", 
    RowBox[{"gls", ",", "var"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.467277107875*^9, 3.467277114546875*^9}, {
  3.51106517734375*^9, 3.511065185*^9}, {3.511523409*^9, 
  3.5115234413125*^9}, {3.51152352246875*^9, 3.51152353703125*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"zur", " ", 
    RowBox[{"Kontrolle", ":"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.511522815765625*^9, 3.511522828421875*^9}}],

Cell[BoxData["A"], "Input",
 CellChangeTimes->{{3.511065191625*^9, 3.51106519296875*^9}}],

Cell[BoxData[
 RowBox[{"c", " ", "=", " ", 
  RowBox[{"-", "minusc"}]}]], "Input",
 CellChangeTimes->{
  3.511065199984375*^9, {3.51152344571875*^9, 3.511523449515625*^9}, {
   3.511523542734375*^9, 3.51152354471875*^9}}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.467277072375*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"die", " ", 
    StyleBox["Determinante",
     FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox["Det",
   FontColor->RGBColor[1, 0, 0]], "[", "A", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"die", " ", 
   StyleBox["Inverse",
    FontColor->RGBColor[1, 0, 0]]}], 
  StyleBox[" ",
   FontColor->RGBColor[1, 0, 0]], "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"AInv", " ", "=", " ", 
  RowBox[{
   StyleBox["Inverse",
    FontColor->RGBColor[1, 0, 0]], "[", "A", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", "\[IndentingNewLine]", "   ", 
  RowBox[{"Test", ":", "\[IndentingNewLine]", "\[IndentingNewLine]", "  ", 
   RowBox[{
   "definitionsgem\[ADoubleDot]\[SZ]", " ", "liefert", " ", "das", " ", 
    StyleBox["Produkt",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[" ",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["der",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[" ",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["Matrix",
     FontColor->RGBColor[1, 0, 0]], " ", "mit", " ", "ihrer", " ", "Inversen",
     " ", "die", " ", "entsprechende", "  ", "\[IndentingNewLine]", " ", 
    RowBox[{"Einheitsmatrix", ":"}]}]}], " ", "\[IndentingNewLine]", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.5115229011875*^9, 3.511522903671875*^9}, {
  3.511523244265625*^9, 3.511523262390625*^9}}],

Cell[BoxData[
 RowBox[{"A", 
  StyleBox[".",
   FontSize->24,
   FontColor->RGBColor[1, 0, 0]], "AInv", "      ", 
  RowBox[{"(*", "   ", 
   RowBox[{
    RowBox[{
     StyleBox[".",
      FontSize->24,
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["  ",
      FontSize->24,
      FontColor->RGBColor[1, 0, 0]], "ist"}], " ", "der", " ", "normale", " ",
     "Punkt"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.511522923734375*^9, 3.511522928296875*^9}}],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input"],

Cell[BoxData[""], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"die", " ", 
    RowBox[{"L\[ODoubleDot]sung", ":", " ", 
     RowBox[{"Inverse", " ", "mal", " ", "Inhomogenit\[ADoubleDot]t"}]}]}], 
   " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.511523110359375*^9, 3.5115231151875*^9}, {
  3.511523154390625*^9, 3.51152315996875*^9}}],

Cell[BoxData[
 RowBox[{"ls", " ", "=", " ", 
  RowBox[{"AInv", 
   StyleBox[".",
    FontSize->18,
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["c",
    FontColor->GrayLevel[0]]}]}]], "Input",
 CellChangeTimes->{{3.511523082578125*^9, 3.511523082765625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Abspeichern", " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"x1", "=", 
  RowBox[{"ls", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"y1", "=", 
  RowBox[{"ls", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Probe", ":"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.511523180875*^9, 3.5115231863125*^9}}],

Cell[BoxData[
 RowBox[{"gls", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "->", "x1"}], ",", " ", 
    RowBox[{"y", "\[Rule]", "y1"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.511523189125*^9, 3.51152322665625*^9}}]
},
CellGrouping->Manual,
WindowSize->{1272, 876},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 186, 7, 143, "Subtitle"],
Cell[734, 29, 2386, 71, 743, "Text"],
Cell[3123, 102, 74, 1, 43, "Input"],
Cell[3200, 105, 102, 2, 43, "Input"],
Cell[3305, 109, 384, 12, 98, "Input"],
Cell[3692, 123, 45, 0, 71, "Input"],
Cell[3740, 125, 91, 2, 43, "Input"],
Cell[3834, 129, 117, 3, 43, "Input"],
Cell[3954, 134, 45, 0, 71, "Input"],
Cell[4002, 136, 300, 6, 43, "Input"],
Cell[4305, 144, 108, 3, 43, "Input"],
Cell[4416, 149, 2995, 83, 449, "Input"],
Cell[7414, 234, 586, 17, 46, "Input"],
Cell[8003, 253, 217, 5, 71, "Input"],
Cell[8223, 260, 89, 1, 43, "Input"],
Cell[8315, 263, 221, 5, 43, "Input"],
Cell[8539, 270, 84, 1, 71, "Input"],
Cell[8626, 273, 207, 5, 98, "Input"],
Cell[8836, 280, 102, 3, 43, "Input"],
Cell[8941, 285, 186, 6, 43, "Input"],
Cell[9130, 293, 144, 4, 43, "Input"],
Cell[9277, 299, 832, 19, 179, "Input"],
Cell[10112, 320, 466, 15, 43, "Input"],
Cell[10581, 337, 59, 1, 43, "Input"],
Cell[10643, 340, 26, 0, 43, "Input"],
Cell[10672, 342, 377, 8, 98, "Input"],
Cell[11052, 352, 261, 8, 43, "Input"],
Cell[11316, 362, 107, 2, 71, "Input"],
Cell[11426, 366, 103, 3, 43, "Input"],
Cell[11532, 371, 103, 3, 43, "Input"],
Cell[11638, 376, 181, 4, 71, "Input"],
Cell[11822, 382, 230, 6, 43, "Input"]
}
]
*)

(* End of internal cache information *)
