(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5300,        181]
NotebookOptionsPosition[      4489,        153]
NotebookOutlinePosition[      4832,        168]
CellTagsIndexPosition[      4789,        165]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Matrizen werden auch benutzt, um den linearen Zusammenhang zwischen \
Eingangs-Gr\[ODoubleDot]\[SZ]en und Ausgangs-Gr\[ODoubleDot]\[SZ]en \
darzustellen, s. dazu auch das Word-Dokument.  

Bspl.: \
\>", "Text",
 CellChangeTimes->{{3.51152365428125*^9, 3.51152365471875*^9}},
 FontSize->18],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"die", " ", "System"}], "-", 
    RowBox[{"Matrix", " ", 
     RowBox[{"sei", ":"}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.511523687046875*^9, 3.511523687671875*^9}}],

Cell[BoxData[
 RowBox[{"A", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "2"}], ",", "3"}], "}"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"spezielle", " ", 
    RowBox[{"Eingangsdaten", ":"}]}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eingang", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "2"}], ",", " ", "3"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"die", " ", "dazugeh\[ODoubleDot]rigen", " ", 
   RowBox[{"Ausgangsdaten", ":"}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"ausgang", "=", " ", 
  RowBox[{"A", ".", "eingang"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"beliebige", " ", 
   RowBox[{"Eingangsdaten", ":"}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"eingang", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{"x", ",", "y"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Clear", "[", "ausgang", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ausgang", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], "=", " ", 
  RowBox[{"A", ".", "eingang"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Erzeugen", " ", "einer", " ", "Tabelle", " ", "von", " ", "Ausgangs"}], 
     "-", "Werten"}], ",", " ", "\[IndentingNewLine]", "   ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "willk\[UDoubleDot]rlich", " ", "f\[UDoubleDot]r", " ", "die", " ", 
       "Eingangs"}], "-", 
      RowBox[{"Werte", "  ", "1"}]}], " ", "<", " ", "x", " ", "<", " ", 
     "2"}], " ", ",", " ", 
    RowBox[{"3", " ", "<", " ", "y", " ", "<", " ", "4"}], " ", ",", " ", 
    "\[IndentingNewLine]", "   ", 
    RowBox[{"in", " ", "Schritten", " ", "von", " ", "0.1"}]}], " ", 
   "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.511523641*^9, 3.511523648015625*^9}}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", "a", ")"}], " ", "durch", " ", "Auswertung", " ", "der", " ",
     "Funktion", " ", 
    RowBox[{"ausgang", "[", 
     RowBox[{"x", ",", "y"}], "]"}]}], "  ", ":"}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"ausgang", "[", 
    RowBox[{
     RowBox[{"1", " ", "+", " ", 
      RowBox[{"i", " ", "*", " ", "0.1"}]}], " ", ",", " ", 
     RowBox[{"2", " ", "+", " ", 
      RowBox[{"i", " ", "*", " ", "0.1"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", "   ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", "b", ")"}], " ", "durch", " ", "Auswertung", " ", "des", 
     " ", "Matrix"}], "-", 
    RowBox[{"Produktes", ":"}]}], "  ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"A", ".", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", " ", "+", " ", 
       RowBox[{"i", " ", "*", " ", "0.1"}]}], " ", ",", " ", 
      RowBox[{"2", " ", "+", " ", 
       RowBox[{"i", " ", "*", " ", "0.1"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input"]
},
WindowSize->{1272, 876},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 299, 8, 159, "Text"],
Cell[847, 30, 272, 7, 71, "Input"],
Cell[1122, 39, 230, 8, 43, "Input"],
Cell[1355, 49, 161, 4, 71, "Input"],
Cell[1519, 55, 137, 4, 43, "Input"],
Cell[1659, 61, 151, 3, 43, "Input"],
Cell[1813, 66, 89, 2, 43, "Input"],
Cell[1905, 70, 123, 3, 43, "Input"],
Cell[2031, 75, 112, 3, 43, "Input"],
Cell[2146, 80, 64, 1, 43, "Input"],
Cell[2213, 83, 143, 4, 43, "Input"],
Cell[2359, 89, 850, 19, 233, "Input"],
Cell[3212, 110, 264, 7, 43, "Input"],
Cell[3479, 119, 361, 10, 43, "Input"],
Cell[3843, 131, 259, 7, 71, "Input"],
Cell[4105, 140, 380, 11, 43, "Input"]
}
]
*)

(* End of internal cache information *)
