(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9577,        323]
NotebookOptionsPosition[      7952,        272]
NotebookOutlinePosition[      8316,        288]
CellTagsIndexPosition[      8273,        285]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Zusammenstellung:
Das Rechnen mit Matrizen (Matrizen-Algebra)

\
\>", "Subtitle",
 CellChangeTimes->{{3.511523963125*^9, 3.511523971421875*^9}}],

Cell[BoxData[
 RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Definition", " ", "zweier", " ", "allgemeiner", " ", "2", " ", "x", " ", 
     "2"}], " ", "-", "Matrizen"}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"A", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a11", ",", "a12"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a21", ",", "a22"}], "}"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"B", " ", "=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"b11", ",", "b12"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"b21", ",", "b22"}], "}"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"die", " ", 
    StyleBox["Summe",
     FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"A", " ", 
  StyleBox["+",
   FontColor->RGBColor[1, 0, 0]], " ", "B", " "}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    StyleBox[
     RowBox[{"skalare", " ", "Multiplikation"}],
     FontColor->RGBColor[1, 0, 0]], ",", " ", 
    RowBox[{
     RowBox[{"\[Alpha]", " ", "ist", " ", "der", " ", "Skalar"}], " ", ";", 
     "\[IndentingNewLine]", "   ", 
     RowBox[{"Multiplikationssymbol", " ", 
      StyleBox["*",
       FontColor->RGBColor[1, 0, 0]], " ", "oder", " ", "Leerzeichen"}]}]}], 
   " ", "\[IndentingNewLine]", "*)"}]}]], "Input",
 CellChangeTimes->{{3.51152376475*^9, 3.511523783328125*^9}, 
   3.51152381459375*^9}],

Cell[BoxData[
 RowBox[{"\[Alpha]", " ", 
  StyleBox["*",
   FontColor->RGBColor[1, 0, 0]], " ", "A"}]], "Input",
 CellChangeTimes->{{3.511523785859375*^9, 3.51152378621875*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    StyleBox["Matrixprodukt",
     FontColor->RGBColor[1, 0, 0]], " ", ";", " ", 
    RowBox[{"im", " ", "allgemeinen", " ", "NICHT", " ", "kommutativ"}]}], 
   "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"A", 
  StyleBox[".",
   FontSize->18,
   FontColor->RGBColor[1, 0, 0]], "B", "    ", 
  RowBox[{"(*", " ", 
   RowBox[{"das", " ", 
    RowBox[{"Multiplikationszeichen", "  ", 
     StyleBox[".",
      FontSize->18,
      FontColor->RGBColor[1, 0, 0]], "  ", "ist"}], " ", "der", " ", 
    "normale", " ", "Punkt"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.40465842284375*^9, 3.404658439203125*^9}}],

Cell[BoxData[
 RowBox[{"B", 
  StyleBox[".",
   FontColor->RGBColor[1, 0, 0]], "A"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"nur", " ", "zur", " ", "DARSTELLUNG"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.523096314421875*^9, 3.52309632471875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixForm", "[", "A", "]"}], ".", 
  RowBox[{"MatrixForm", "[", "B", "]"}]}]], "Input",
 CellChangeTimes->{{3.523096327046875*^9, 3.52309634809375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    StyleBox[
     RowBox[{"Matrix", " ", "mal", " ", "Vektor"}],
     FontColor->RGBColor[1, 0, 0]], ";", " ", 
    RowBox[{
    "der", " ", "Vektor", " ", "kann", " ", "als", " ", "einspaltige", " ", 
     "MATRIX", " ", "aufgefasst", " ", "werden"}], ";", "\[IndentingNewLine]",
     "   ", 
    RowBox[{"das", " ", "Ergebnis", " ", "ist", " ", "ein", " ", 
     RowBox[{"Vektor", "."}]}]}], "\[IndentingNewLine]", "*)"}]}]], "Input",
 CellChangeTimes->{{3.511523981625*^9, 3.51152403690625*^9}, {
  3.511524073078125*^9, 3.51152409065625*^9}}],

Cell[BoxData[
 RowBox[{"c", "=", 
  RowBox[{"{", 
   RowBox[{"c1", ",", "c2"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.51152399525*^9, 3.511524001921875*^9}}],

Cell[BoxData[
 RowBox[{"v", "=", 
  RowBox[{"A", 
   StyleBox[".",
    FontColor->RGBColor[1, 0, 0]], "c"}]}]], "Input",
 CellChangeTimes->{{3.511524003890625*^9, 3.51152400540625*^9}, {
  3.511524094703125*^9, 3.511524095078125*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"als", " ", 
   RowBox[{"Spaltenvektor", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.511524108234375*^9, 3.51152411528125*^9}}],

Cell[BoxData[
 RowBox[{"v", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.511524099*^9, 3.511524103078125*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"die", " ", 
    StyleBox["Determinante",
     FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox["Det",
   FontColor->RGBColor[1, 0, 0]], "[", "A", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"die", " ", 
    StyleBox["Inverse",
     FontColor->RGBColor[1, 0, 0]]}], " ", "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"AInv", " ", "=", " ", 
  RowBox[{
   StyleBox["Inverse",
    FontColor->RGBColor[1, 0, 0]], "[", "A", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", "\[IndentingNewLine]", " ", 
  RowBox[{
  "definitionsgem\[ADoubleDot]\[SZ]", " ", "liefert", " ", "das", " ", 
   "Produkt", " ", "der", " ", "Matrix", " ", "mit", " ", "ihrer", " ", 
   "Inversen", " ", "die", " ", "entsprechende", " ", 
   RowBox[{"Einheitsmatrix", ":"}]}], " ", "\[IndentingNewLine]", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.51152388040625*^9, 3.511523884515625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"A", ".", "AInv"}], "      "}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "Simplify"}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input"],

Cell[BoxData[""], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"die", " ", 
   RowBox[{
    StyleBox["Transponierte",
     FontColor->RGBColor[1, 0, 0]], ":", " ", 
    RowBox[{
    "Zeilen", " ", "und", " ", "Spalten", " ", "werden", " ", 
     "vertauscht"}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox["Transpose",
   FontColor->RGBColor[1, 0, 0]], "[", "A", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "die", " ", "Summe", " ", "der", " ", "Diagonalelemente", " ", "wird", 
     " ", "\"\<\!\(\*
StyleBox[\"Spur\",
FontColor->RGBColor[1, 0, 0]]\)\>\"", " ", "genannt"}], ",", " ", 
    RowBox[{
     RowBox[{"engl", ":", " ", "trace"}], ";", " ", "\[IndentingNewLine]", 
     "   ", 
     RowBox[{
     "der", " ", "Befehl", "  ", "Trace", "  ", "ist", " ", "in", " ", 
      "Mathematica", " ", "aber", " ", "schon", " ", "vergeben"}]}]}], " ", 
   "\[IndentingNewLine]", "*)"}]}]], "Input",
 CellChangeTimes->{{3.511523918296875*^9, 3.511523920078125*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox["Tr",
   FontColor->RGBColor[1, 0, 0]], "[", "A", "]"}]], "Input"]
}, Open  ]]
},
WindowSize->{1272, 876},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 154, 6, 202, "Subtitle"],
Cell[724, 30, 74, 1, 43, "Input"],
Cell[801, 33, 233, 6, 71, "Input"],
Cell[1037, 41, 216, 7, 43, "Input"],
Cell[1256, 50, 59, 1, 43, "Input"],
Cell[1318, 53, 216, 7, 43, "Input"],
Cell[1537, 62, 59, 1, 43, "Input"],
Cell[1599, 65, 200, 5, 98, "Input"],
Cell[1802, 72, 110, 3, 43, "Input"],
Cell[1915, 77, 59, 1, 43, "Input"],
Cell[1977, 80, 642, 15, 179, "Input"],
Cell[2622, 97, 177, 4, 43, "Input"],
Cell[2802, 103, 307, 7, 125, "Input"],
Cell[3112, 112, 430, 12, 43, "Input"],
Cell[3545, 126, 95, 3, 43, "Input"],
Cell[3643, 131, 210, 4, 71, "Input"],
Cell[3856, 137, 188, 4, 43, "Input"],
Cell[4047, 143, 628, 14, 125, "Input"],
Cell[4678, 159, 160, 4, 43, "Input"],
Cell[4841, 165, 234, 6, 43, "Input"],
Cell[5078, 173, 182, 4, 43, "Input"],
Cell[5263, 179, 119, 2, 43, "Input"],
Cell[5385, 183, 207, 5, 98, "Input"],
Cell[5595, 190, 102, 3, 43, "Input"],
Cell[5700, 195, 202, 5, 98, "Input"],
Cell[5905, 202, 144, 4, 43, "Input"],
Cell[6052, 208, 425, 8, 125, "Input"],
Cell[6480, 218, 75, 2, 43, "Input"],
Cell[6558, 222, 57, 1, 43, "Input"],
Cell[6618, 225, 59, 1, 43, "Input"],
Cell[6680, 228, 26, 0, 43, "Input"],
Cell[6709, 230, 270, 8, 43, "Input"],
Cell[6982, 240, 108, 3, 43, "Input"],
Cell[7093, 245, 59, 1, 43, "Input"],
Cell[7155, 248, 677, 16, 152, "Input"],
Cell[7835, 266, 101, 3, 43, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
