(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9471,        260]
NotebookOptionsPosition[      8474,        227]
NotebookOutlinePosition[      8817,        242]
CellTagsIndexPosition[      8774,        239]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.49354006890625*^9, 3.493540075546875*^9}, {
  3.511525698609375*^9, 3.51152570784375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"(*", " ", 
    StyleBox[
     RowBox[{
      RowBox[{"Vorbereitung", " ", "zu", " ", 
       RowBox[{"\[CapitalUDoubleDot]bung2", " ", "/", " ", "gekoppelte"}], 
       " ", "Oszillatoren"}], ";", "\[IndentingNewLine]", "  ", " ", 
      RowBox[{
      "muss", " ", "nur", " ", "in", " ", "Zusammenhang", " ", "mit", " ", 
       "dieser", " ", "\[CapitalUDoubleDot]bungsaufgabe", " ", "studiert", 
       " ", "werden"}]}],
     FontColor->RGBColor[1, 0, 0]], " ", "\[IndentingNewLine]", "*)"}],
   FontSize->18]}]], "Input",
 CellChangeTimes->{{3.511525179796875*^9, 3.511525189390625*^9}, {
  3.51152595990625*^9, 3.51152597971875*^9}, {3.511526652828125*^9, 
  3.51152668109375*^9}}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.5115259885625*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"die", " ", "linke", " ", "Seite", " ", "der", " ", "DGl"}], ";", 
   " ", "\[IndentingNewLine]", "   ", 
   RowBox[{"beachten", " ", "Sie", " ", "die", " ", 
    RowBox[{
     StyleBox["Ableitungsstriche",
      FontColor->RGBColor[1, 0, 0]], " ", "[", 
     RowBox[{
     "auf", " ", "der", " ", "Tastatur", " ", "\[UDoubleDot]ber", " ", "#"}], 
     "]"}]}]}], " ", "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.511526468015625*^9, 3.511526476890625*^9}, {
  3.511585943921875*^9, 3.511586010390625*^9}}],

Cell[BoxData[
 RowBox[{"l1", "=", 
  RowBox[{
   RowBox[{"m", " ", 
    RowBox[{
     RowBox[{"x", 
      StyleBox["''",
       FontColor->RGBColor[1, 0, 0]]}], "[", "t", "]"}]}], "+", " ", 
   RowBox[{"d", " ", 
    RowBox[{"x", "[", "t", "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.511525201890625*^9, {3.5115256689375*^9, 3.5115256738125*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"der", " ", "Ansatz"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.493620243078125*^9, 3.493620246859375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "[", "t_", "]"}], "=", " ", 
  RowBox[{"A", " ", 
   RowBox[{"Cos", "[", 
    RowBox[{"\[Omega]", " ", "t"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.493537614171875*^9, 3.4935376568125*^9}, {
  3.493543040171875*^9, 3.49354304084375*^9}, {3.511525677421875*^9, 
  3.511525680875*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "damit", " ", "lautet", " ", "die", " ", "linke", " ", "Seite", " ", "der", 
   " ", "Gleichung"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.493620262359375*^9, 3.493620269421875*^9}, {
  3.51152524625*^9, 3.5115252566875*^9}, {3.511526488734375*^9, 
  3.51152651234375*^9}}],

Cell[BoxData["l1"], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "aus", " ", "der", " ", "DGL", " ", "ist", " ", "eine", " ", 
    "algebraische", " ", "Gleichung", " ", "geworden"}], ";", " ", 
   "\[IndentingNewLine]", "   ", 
   RowBox[{"deren", " ", "linke", " ", "Seite", " ", "wird", " ", 
    StyleBox["\"\<von Hand\>\"",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[" ",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox["aufbereitet",
     FontColor->RGBColor[1, 0, 0]]}]}], " ", "\[IndentingNewLine]", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.511525514890625*^9, 3.5115255316875*^9}, {
  3.511586042640625*^9, 3.51158612053125*^9}}],

Cell[BoxData[
 RowBox[{"l1", "=", 
  RowBox[{
   RowBox[{"l1", 
    StyleBox[
     RowBox[{"/", 
      RowBox[{"Cos", "[", 
       RowBox[{"t", " ", "\[Omega]"}], "]"}]}],
     FontColor->RGBColor[1, 0, 0]]}], 
   StyleBox["//",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["Simplify",
    FontColor->RGBColor[1, 0, 0]]}]}]], "Input",
 CellChangeTimes->{{3.511525484671875*^9, 3.511525506015625*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"die", " ", 
   StyleBox["ganze",
    FontColor->RGBColor[0, 1, 0]], 
   StyleBox[" ",
    FontColor->RGBColor[0, 1, 0]], 
   StyleBox["Gleichung",
    FontColor->RGBColor[0, 1, 0]]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.5115860235*^9, 3.511586036171875*^9}}],

Cell[BoxData[
 RowBox[{"gl", "=", 
  StyleBox[
   RowBox[{"l1", "\[Equal]", "0"}],
   FontColor->RGBColor[0, 1, 0]]}]], "Input",
 CellChangeTimes->{{3.49354089196875*^9, 3.49354090221875*^9}, {
   3.511525259078125*^9, 3.511525266828125*^9}, 3.511525300328125*^9}],

Cell[BoxData[
 RowBox[{"ls", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{"gl", ",", "A"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.49353771909375*^9, 3.4935377493125*^9}, {
   3.49354305359375*^9, 3.49354305665625*^9}, 3.493543167375*^9, {
   3.5115252800625*^9, 3.511525284078125*^9}, 3.51152572584375*^9}],

Cell[TextData[StyleBox["\nDie Gleichung hat erwartungsgem\[ADoubleDot]\[SZ] \
zun\[ADoubleDot]chst einmal die triviale L\[ODoubleDot]sung  A = 0 : \njetzt \
bewegt sich aber gar nichts! Das ist uninteressant. \nEs gibt aber auch eine \
nichttriviale L\[ODoubleDot]sung. Dazu klammern wir  A  aus. Man sieht: wenn \
die Klammer  0   ist, ist die Gleichung erf\[UDoubleDot]llt. \n",
 FontSize->16]], "Text",
 CellChangeTimes->{{3.493539636671875*^9, 3.493539870140625*^9}, {
   3.493539903796875*^9, 3.493539912640625*^9}, {3.493539995890625*^9, 
   3.4935400388125*^9}, 3.4935401039375*^9, {3.493635426109375*^9, 
   3.4936354398125*^9}, {3.511525091546875*^9, 3.51152509565625*^9}, {
   3.511525329796875*^9, 3.511525352515625*^9}, 3.511525407359375*^9, 
   3.5115254425*^9, {3.511525540453125*^9, 3.511525587859375*^9}, {
   3.5115257329375*^9, 3.511525745328125*^9}, {3.511526517578125*^9, 
   3.511526518390625*^9}, 3.5115856628125*^9}],

Cell[BoxData[
 RowBox[{"glf", "=", 
  RowBox[{"Factor", "[", "gl", "]"}]}]], "Input",
 CellChangeTimes->{{3.511525371515625*^9, 3.511525379484375*^9}, {
  3.511525591625*^9, 3.51152559559375*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"die", " ", 
   RowBox[{"Klammer", ":"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.51152576753125*^9, 3.511525773328125*^9}}],

Cell[BoxData[
 RowBox[{"klammer", "=", 
  RowBox[{"glf", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "2"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.511525599203125*^9, 3.511525624203125*^9}, {
  3.5115857518125*^9, 3.511585753609375*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"klammer", "\[Equal]", "0"}], ",", "\[Omega]"}], "]"}]], "Input",
 CellChangeTimes->{{3.511525630046875*^9, 3.511525657890625*^9}, {
  3.5115857575*^9, 3.5115857595625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.51152654246875*^9, 3.511526599296875*^9}, 
   3.511585690265625*^9}],

Cell[TextData[StyleBox["\nBemerkungen:\n\n1) F\[UDoubleDot]hren Sie die \
Rechnung aus f\[UDoubleDot]r die Ans\[ADoubleDot]tze \n     x[t_]= A Sin [\
\[Omega] t]  bzw.  x[t_]= A Cos[\[Omega] t] + B Sin [\[Omega] t]  .\n     \n\
2) Die obige Klammer kann als Koeffizientenmatrix des Systems aufgefasst \
werden.\n    Diese Matrix hat nur eine Element. Ihre Determinante ist also \
gleich diesem Element. \n    Nullsetzen der Klammer bedeutet also: Nullsetzen \
der Determinante!  \n",
 FontSize->16]], "Text",
 CellChangeTimes->{{3.493539636671875*^9, 3.493539870140625*^9}, {
   3.493539903796875*^9, 3.493539912640625*^9}, {3.493539995890625*^9, 
   3.4935400388125*^9}, 3.4935401039375*^9, {3.493635426109375*^9, 
   3.4936354398125*^9}, {3.511525091546875*^9, 3.51152509565625*^9}, {
   3.511525329796875*^9, 3.511525352515625*^9}, 3.511525407359375*^9, 
   3.5115254425*^9, {3.511525540453125*^9, 3.511525587859375*^9}, {
   3.5115257329375*^9, 3.511525745328125*^9}, {3.511526517578125*^9, 
   3.511526518390625*^9}, {3.5115856628125*^9, 3.511585864078125*^9}, {
   3.5115859009375*^9, 3.511585927515625*^9}, {3.511586190375*^9, 
   3.511586213859375*^9}}]
},
WindowSize->{1272, 876},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 187, 3, 43, "Input"],
Cell[747, 25, 758, 17, 147, "Input"],
Cell[1508, 44, 85, 1, 71, "Input"],
Cell[1596, 47, 581, 13, 98, "Input"],
Cell[2180, 62, 349, 11, 43, "Input"],
Cell[2532, 75, 157, 3, 43, "Input"],
Cell[2692, 80, 327, 8, 43, "Input"],
Cell[3022, 90, 327, 7, 43, "Input"],
Cell[3352, 99, 28, 0, 43, "Input"],
Cell[3383, 101, 645, 16, 98, "Input"],
Cell[4031, 119, 403, 13, 43, "Input"],
Cell[4437, 134, 313, 9, 43, "Input"],
Cell[4753, 145, 264, 6, 43, "Input"],
Cell[5020, 153, 306, 6, 43, "Input"],
Cell[5329, 161, 939, 13, 206, "Text"],
Cell[6271, 176, 196, 4, 43, "Input"],
Cell[6470, 182, 176, 4, 43, "Input"],
Cell[6649, 188, 247, 6, 43, "Input"],
Cell[6899, 196, 233, 5, 43, "Input"],
Cell[7135, 203, 171, 3, 98, "Input"],
Cell[7309, 208, 1161, 17, 332, "Text"]
}
]
*)

(* End of internal cache information *)
